Skip to navigation

Update Machine

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

factorystringRequired
namestringRequired

Headers

X-Islo-Api-VersionstringRequired

Request

This endpoint expects an object.
capabilitieslist of enums or nullOptional
Allowed values:
disk_gbinteger or nullOptional>=1
environmentstring or nullOptional
gateway_profilestring or nullOptional
levelenum or nullOptional
Allowed values:
lifecycleobject or nullOptional
memory_mbinteger or nullOptional>=1
reposlist of objects or nullOptional
scheduleobject or nullOptional
vcpusinteger or nullOptional>=1

Response

Successful Response
capabilitieslist of enums
Allowed values:
created_atdatetime
disk_gbinteger>=1
environmentstring or null
gateway_profilestring or null
lifecycleobject or null
memory_mbinteger>=1
namestring
reposlist of objects
scheduleobject
statusenum
Allowed values:
updated_atdatetime
vcpusinteger>=1
last_buildobject or nullOptional
levelenumOptionalDefaults to verify
Allowed values:
version_numberinteger or nullOptional

Errors

422
Unprocessable Entity Error